Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeGroupDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSAttributeGroupDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition, weblogic.apache.xerces.impl.xs.psvi.XSObject

Deprecated. please use JDK supplied XML parsers and transformers

public class XSAttributeGroupDecl
extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition

The XML representation for an attribute group declaration schema component is a global element information item

Field Summary
`XSWildcardDecl` | `fAttributeWC` Deprecated.
`String` | `fIDAttrName` Deprecated.
`String` | `fName` Deprecated.
`String` | `fTargetNamespace` Deprecated.

Constructor Summary
`XSAttributeGroupDecl()` Deprecated.

Method Summary
`String` | `addAttributeUse(XSAttributeUseImpl attrUse)` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`XSAttributeUseImpl` | `getAttributeUse(String uri, String localpart)` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAttributeUses()` Deprecated. {attribute uses} A set of attribute uses.
`weblogic.apache.xerces.impl.xs.psvi.XSWildcard` | `getAttributeWildcard()` Deprecated. {attribute wildcard} Optional.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `removeProhibitedAttrs()` Deprecated.
`void` | `reset()` Deprecated.
`String` | `validRestrictionOf(XSAttributeGroupDecl baseGroup)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttributeWC

    public XSWildcardDecl fAttributeWC

  Deprecated.

### fIDAttrName

    public String fIDAttrName

  Deprecated.

### fName

    public String fName

  Deprecated.

### fTargetNamespace

    public String fTargetNamespace

  Deprecated.

Constructor Detail

### XSAttributeGroupDecl

    public XSAttributeGroupDecl()

  Deprecated.

Method Detail

### addAttributeUse

    public String addAttributeUse(XSAttributeUseImpl attrUse)

  Deprecated.

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition`

### getAttributeUse

    public XSAttributeUseImpl getAttributeUse(String uri,
                                              String localpart)

  Deprecated.

### getAttributeUses

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAttributeUses()

  Deprecated.
  {attribute uses} A set of attribute uses.

  Specified by:
    `getAttributeUses` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition`

### getAttributeWildcard

    public weblogic.apache.xerces.impl.xs.psvi.XSWildcard getAttributeWildcard()

  Deprecated.
  {attribute wildcard} Optional. A wildcard.

  Specified by:
    `getAttributeWildcard` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### removeProhibitedAttrs

    public void removeProhibitedAttrs()

  Deprecated.

### reset

    public void reset()

  Deprecated.

### validRestrictionOf

    public String validRestrictionOf(XSAttributeGroupDecl baseGroup)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD